summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuca Longinotti <chtekk@gentoo.org>2006-01-17 22:45:09 +0000
committerLuca Longinotti <chtekk@gentoo.org>2006-01-17 22:45:09 +0000
commita880ba6a14bd3ae5dc741405e816606ac90947ae (patch)
tree32b06564d0d7ad7a3e4c283c31fde6b126933032 /eclass/php4_4-sapi.eclass
parentvice version bump (diff)
downloadgentoo-2-a880ba6a14bd3ae5dc741405e816606ac90947ae.tar.gz
gentoo-2-a880ba6a14bd3ae5dc741405e816606ac90947ae.tar.bz2
gentoo-2-a880ba6a14bd3ae5dc741405e816606ac90947ae.zip
Sync with overlay.
Diffstat (limited to 'eclass/php4_4-sapi.eclass')
-rw-r--r--eclass/php4_4-sapi.eclass6
1 files changed, 5 insertions, 1 deletions
diff --git a/eclass/php4_4-sapi.eclass b/eclass/php4_4-sapi.eclass
index 4213807c7de2..96f4d4d2f71a 100644
--- a/eclass/php4_4-sapi.eclass
+++ b/eclass/php4_4-sapi.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php4_4-sapi.eclass,v 1.9 2006/01/10 18:38:06 chtekk Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php4_4-sapi.eclass,v 1.10 2006/01/17 22:40:18 chtekk Exp $
#
# ########################################################################
#
@@ -254,6 +254,7 @@ php4_4-sapi_src_unpack() {
# Patch PHP to support heimdal instead of mit-krb5
if has_version "app-crypt/heimdal" ; then
sed -e "s|gssapi_krb5|gssapi|g" -i acinclude.m4 || die "Failed to fix heimdal libname"
+ sed -e 's|PHP_ADD_LIBRARY(k5crypto, 1, $1)||g' -i acinclude.m4 || die "Failed to fix heimdal crypt lib"
fi
# Patch for PostgreSQL support
@@ -261,6 +262,9 @@ php4_4-sapi_src_unpack() {
sed -e 's|include/postgresql|include/postgresql include/postgresql/pgsql|g' -i ext/pgsql/config.m4 || die "Failed to fix PostgreSQL include paths"
fi
+ # Disable interactive make test
+ sed -e 's/'`echo "\!getenv('NO_INTERACTION')"`'/false/g' -i run-tests.php
+
# stop php from activating the apache config, as we will do that ourselves
for i in configure sapi/apache/config.m4 sapi/apache2filter/config.m4 sapi/apache2handler/config.m4 ; do
sed -i.orig -e 's,-i -a -n php,-i -n php,g' ${i}